org.keycloak.subsystem.extension

## Class CredentialAddHandler

- java.lang.Object
- - org.jboss.as.controller.AbstractAddStepHandler
  - - org.keycloak.subsystem.extension.CredentialAddHandler

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public class CredentialAddHandler
      extends org.jboss.as.controller.AbstractAddStepHandler

  Add a credential to a deployment.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2014 Red Hat Inc.

- - ### Field Summary

    - ### Fields inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `attributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialAddHandler(org.jboss.as.controller.AttributeDefinition... attributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `performRuntime(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model, org.jboss.as.controller.ServiceVerificationHandler verificationHandler, List<org.jboss.msc.service.ServiceController<?>> newControllers)`

    - ### Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `createResource, execute, populateModel, populateModel, populateModel, requiresRuntime, requiresRuntimeVerification, rollbackRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialAddHandler

          public CredentialAddHandler(org.jboss.as.controller.AttributeDefinition... attributes)

  - ### Method Detail

    - #### performRuntime

          protected void performRuntime(org.jboss.as.controller.OperationContext context,
                            org.jboss.dmr.ModelNode operation,
                            org.jboss.dmr.ModelNode model,
                            org.jboss.as.controller.ServiceVerificationHandler verificationHandler,
                            List<org.jboss.msc.service.ServiceController<?>> newControllers)
                                 throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `performRuntime` in class `org.jboss.as.controller.AbstractAddStepHandler`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2014. All Rights Reserved.